Bug 112805 - selinux labeling on filesystems without selinux xattr support
Summary: selinux labeling on filesystems without selinux xattr support
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-02 00:04 UTC by Arkadiusz Miskiewicz
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 23:48:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arkadiusz Miskiewicz 2004-01-02 00:04:03 UTC
While using rpm-4.3-0.20031227.1 from HEAD I got this (sorry for 
polish language of messages):
1:iptables               ########################################### 
bÅÄd: rozpakowanie archiwum nie powiodÅo siÄ na pliku 
/usr/lib/iptables: cpio: lsetfilecon nie powiodÅo siÄ
               -Operacja nie obsÅugiwana

Operacja nie obslugiwana ~= Operation not supported.

This happened because my /usr is on XFS filesystem which doesn't 
support selinux xattr, yet.

This needs to be handled somehow: one proposition is if 
(security_getenforce() > 0) && lsetfilecon failed then exit as above 
else work as nothing happened (maybe display some error message).

ps. policy loaded but not enforced, kernel 2.6.0

Comment 1 Paul Nasrat 2005-11-28 23:48:05 UTC
xfs now supports xattr


Note You need to log in before you can comment on or make changes to this bug.